{
    attributes = (
        {
            columnName = "C_CHAPITRE"; 
            externalType = NUMBER; 
            name = cChapitre; 
            precision = 4; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_CHAPITRE"; 
            externalType = VARCHAR2; 
            name = lcChapitre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_CHAPITRE"; 
            externalType = VARCHAR2; 
            name = llChapitre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (cChapitre, lcChapitre, llChapitre); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.emploi.EOChapitre"; 
    classProperties = (cChapitre, lcChapitre, llChapitre, dCreation, dModification, chapitreArticles); 
    externalName = "GRHUM.CHAPITRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cChapitre, lcChapitre, llChapitre, chapitreArticles); 
        "_nameInObjectStore" = CHAPITRE; 
    }; 
    name = Chapitre; 
    primaryKeyAttributes = (cChapitre); 
    relationships = (
        {
            destination = ChapitreArticle; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cChapitre; sourceAttribute = cChapitre; }); 
            name = chapitreArticles; 
        }
    ); 
}
